<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>HTML Basics</title>
  <link rel="stylesheet" href="style.css">
</head>

<body>
  <div id="wrapper">
    <div id="main">
      <div id="container">
        <div id="content" role="main">

          <header id="header">
            <a href="https://www.epam.com/" target="_blank" rel="noopener">
              <img src="logo.png" alt="Epam Logo">
            </a>

            <h1>HTML Elements</h1>

            <hr>

            <nav>
              <a href="#header" rel="next"><b>Home</b></a>
              <a href="#headers" rel="next"><b>Headers</b></a>
              <a href="#table" rel="next"><b>Table</b></a>
              <a href="#list" rel="next"><b>List</b></a>
              <a href="#text-formats" rel="next"><b>Text formats</b></a>
              <a href="#blockquotes" rel="next"><b>Blockquotes</b></a>
            </nav>

            <hr>

          </header>

          <main>

            <section id="headers">

              <p>
                Pay attention to h1 tag inside section element. Font-size for h1 is the same as font-size for h2,
                because we have to use only one h1 on the page, and it is commonly used inside header
              </p>

              <h2>Header 2</h2>
              <h3>Header 3</h3>
              <h4>Header 4</h4>
              <h5>Header 5</h5>
              <h6>Header 6</h6>

              <hr>

            </section>

            <p>
              Lorem ipsum dolor sit amet, <a href="#">test link</a> adipiscing elit. <strong>This is strong.</strong>
              Nullam dignissim convallis est. Quisque aliquam. <em>This is emphasized.</em> Donec faucibus.
              Nunc iaculis suscipit dui. 5<sup>3</sup> = 125. Water is H<sub>2</sub>O.
              Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl.
              <cite>The New York Times</cite> (That&rsquo;s a citation).
              <u>Underline.</u> Maecenas ornare tortor. Donec sed tellus eget sapien fringilla nonummy.
              Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc.
              Morbi imperdiet augue quis tellus.
            </p>

            <p>
              <abbr title="HyperText Markup Language">HTML</abbr> and
              <abbr title="Cascading Style Sheets">CSS</abbr> are our tools.
              Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in,
              nunc. Morbi imperdiet augue quis tellus. Praesent mattis, massa quis luctus fermentum, turpis mi volutpat
              justo, eu volutpat enim diam eget metus. To copy a file type <kbd>COPY</kbd> <var>filename</var>.
              <s>Dinner`s at 5:00.</s>
              <mark>Let&rsquo;s make that 7.</mark> This <del>text</del> has been struck.
            </p>

            <hr>

            <section id="table">

              <h2>Table</h2>

              <table>
                <thead>
                  <tr>
                    <th>Header</th>
                    <th>Header</th>
                    <th>Header</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>Lviv</td>
                    <td>Kyiv</td>
                    <td>Kharkiv</td>
                  </tr>
                  <tr>
                    <td>Odessa</td>
                    <td>Zhytomyr</td>
                    <td>Dnipropetrovsk</td>
                  </tr>
                  <tr>
                    <td>Sumy</td>
                    <td>Chernivtsi</td>
                    <td>Lutsk</td>
                  </tr>
                </tbody>
              </table>

            </section>

            <section id="list">

              <h2>Unordered List</h2>

              <ul>
                <li>List item 1</li>
                <li>
                  List item 2
                  <ul>
                    <li>Some nested list item 1</li>
                  </ul>
                </li>
                <li>List item 3</li>
              </ul>

              <h2>Ordered List</h2>

              <ol>
                <li>List item 1</li>
                <li>
                  List item 2
                  <ol type="A">
                    <li>Some nested list item 1</li>
                  </ol>
                </li>
                <li>List item 3</li>
              </ol>

              <h3>Definition List</h3>

              <dl>
                <dt>defines terms 1</dt>
                <dd>description 1</dd>
                <dt>defines terms 2</dt>
                <dd>description 2</dd>
              </dl>

              <label>
                Details
                <select>
                  <option>HTML</option>
                  <option>CSS</option>
                  <option>JS</option>
                </select>
              </label>

              <hr>

            </section>

            <section id="text-formats">

              <h2>Text formats</h2>

              <h3>Article Text</h3>

              <article>
                <h2>Article title</h2>
                <p>Article description</p>
              </article>

              <h3>Preformatted Text</h3>

              <pre>

  <b>Text</b>
    in a <b>pre</b> element
      is displayed in a fixed-width
  font, and it preserves
  both           spaces and
      line breaks
              </pre>

              <h3>Code</h3>

              <pre>
                <code>
  .wrapper {
      display: flex;
      vertical-align: middle;
      justify-content: center;
    }
                </code>
              </pre>

            </section>

            <section id="blockquotes">

              <h2>Blockquotes</h2>

              <p>Let&rsquo;s keep it simple. Italics are good to help set it off from the body text.
                Be sure to style the citation.
              </p>

              <blockquote cite="https://www.brainyquote.com/quotes/elon_musk_567302">
                <div>
                  "If you go back a few hundred years, what we take for granted today would seem like magic-being
                  able to talk to people over long distances, to transmit images, flying, accessing vast amounts of
                  data like an oracle. These are all things that would have been considered magic a few
                  hundred years ago."
                </div>
                <div>
                  <a href="https://en.wikipedia.org/wiki/Elon_Musk" target="_blank" rel="noopener">
                    Elon Musk
                  </a>
                </div>
              </blockquote>

              <hr>

            </section>

            <form action="#" method="post" target="_blank">

              <label>
                First name:
                <input
                        type="text"
                        name="fistName"
                        pattern="^[A-Za-z]+[\w\.\-\s]+$"
                        maxlength="20"
                        title="The name must start with a letter and contain at least two symbols"
                        required>
              </label>
              <br/>

              <label>
                Surname:
                <input
                        type="text"
                        name="surname"
                        pattern="^[a-zA-Z]+[\w\.\s\-]+$"
                        maxlength="40"
                        title="The surname must start with a letter and contain at least two symbols"
                        required>
              </label>
              <br/>

              <label>
                Email:
                <input
                        type="email"
                        name="email"
                        required>
              </label>
              <br/>

              <textarea name="notice" cols="30" rows="10"></textarea>
              <br/>

              <button type="submit">Submit</button>

            </form>

          </main>

          <footer>
            &copy; Copyright Epam Systems
          </footer>

        </div>
      </div>
    </div>
  </div>
</body>

</html>
